## luatex 0.20.1

=== src/libs/luafontforge/Makefile ===
# $Id$

srcdir=../../../src/libs/luafontforge

FF_LIB=ffdummies.o luafflib.o

MY_CFLAGS=-g -O2 -Wall -DFONTFORGE_CONFIG_NO_WINDOWING_UI=1 -DLUA_FF_LIB=1 $(CFLAGS) $(XCFLAGS)

.PHONY: newfile

fontforge: $(FF_LIB) newfile
	rm -f libff.a
	cd fontforge && $(MAKE)
	cd Unicode && $(MAKE)
	sh -c "ar cru libff.a fontforge/*.o Unicode/*.o $(FF_LIB)"
	ranlib libff.a

%.o: $(srcdir)/src/%.c
	gcc $(MY_CFLAGS) -I$(srcdir)/../lua51 -I$(srcdir)/fontforge/inc -I$(srcdir)/fontforge/fontforge -c $< -o $@

clean:
	rm  -f libff.a $(FF_LIB)
	cd fontforge; $(MAKE) clean
	cd Unicode; $(MAKE) clean

=== src/libs/luafontforge/fontforge/Makefile ===
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
mandir = ${prefix}/man
includedir = ${prefix}/include
sharedir = $(prefix)/share/fontforge
docdir = $(prefix)/share/doc/fontforge
localedir = $(prefix)/share/locale

srcdir = .
top_builddir = .

LIBTOOL = $(SHELL) $(top_builddir)/libtool
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

all: fontforge

libs: libgunicode libgdraw

fontforge: libgunicode libgdraw pos
	( cd fontforge ; $(MAKE) )

libgunicode:
	( cd Unicode ; $(MAKE) )

libgdraw:
	( cd gdraw ; $(MAKE) )

pos:
	-ln -s $(srcdir)/po/*.po po
	( cd po ; $(MAKE) )

clean:
	( cd fontforge ; $(MAKE) clean )
	( cd Unicode ; $(MAKE) clean )
	( cd gdraw ; $(MAKE) clean )
	( cd plugins ; $(MAKE) clean )
	-( cd po ; rm *.mo )
	-rm -rf .libs

distclean cleaner:
	( cd fontforge ; $(MAKE) distclean )
	( cd Unicode ; $(MAKE) distclean )
	( cd gdraw ; $(MAKE) distclean )
	( cd plugins ; $(MAKE) distclean )
	-( cd po ; rm *.mo Makefile* )
	-rm -rf .libs
	-rm Makefile config.cache config.log config.status libtool fontforge.pc systemspecific

install_libs: libs
# You may need to be root to do the install
	mkdir -p $(libdir)
	#-rm $(libdir)/libgdraw.so* $(libdir)/libgunicode.so.*
	$(LIBTOOL) --mode=install $(INSTALL) -c libgunicode.la $(libdir)/libgunicode.la
	$(LIBTOOL) --mode=install $(INSTALL) -c libgdraw.la $(libdir)/libgdraw.la
	$(LIBTOOL) --mode=finish $(libdir)
	mkdir -p $(libdir)/pkgconfig
	$(INSTALL_DATA) fontforge.pc $(libdir)/pkgconfig

install_docs:
	mkdir -p $(docdir)
	mkdir -p $(docdir)/flags $(docdir)/ja
#explicit use of sh to make sure we don't invoke csh with different "if" syntax
	-sh -c "if test -d $(srcdir)/htdocs/ja >/dev/null ; then mkdir -p $(docdir)/ja ; fi"
	-$(INSTALL_DATA) $(srcdir)/htdocs/*.{html,png,gif,pdf} $(docdir)
	-$(INSTALL_DATA) $(srcdir)/htdocs/flags/* $(docdir)/flags
	-$(INSTALL_DATA) $(srcdir)/htdocs/ja/* $(docdir)/ja

install_po:
	( cd po ; $(MAKE) install )

install: $(sharedir) all install_libs install_po
# You may need to be root to do the install
	mkdir -p $(bindir)
	mkdir -p $(mandir)/man1
	mkdir -p $(sharedir)
	$(LIBTOOL) --mode=install $(INSTALL) -c fontforge/fontforge $(bindir)
	$(LIBTOOL) --mode=install $(INSTALL) -c fontforge/sfddiff $(bindir)
	$(LIBTOOL) --mode=install $(INSTALL) -c fontforge/fontimage $(bindir)
#	-rm -f $(bindir)/pfaedit
#	(cd $(bindir) ; ln -s fontforge pfaedit)
#	$(INSTALL_DATA) fontforge/pfaedit-*.ui $(sharedir)
#The next line will fail for most installs. If you have downloaded the cidmaps
# this will install them. If you haven't it won't. You only need the cidmaps
# if you are editing CID keyed files (and even then you can live without them
	-$(INSTALL_DATA) $(srcdir)/cidmap/*.cidmap $(sharedir) >/dev/null 2>&1
	$(INSTALL_DATA) $(srcdir)/fontforge/fontforge.1 $(mandir)/man1
	$(INSTALL_DATA) $(srcdir)/fontforge/sfddiff.1 $(mandir)/man1
	$(INSTALL_DATA) $(srcdir)/fontforge/fontimage.1 $(mandir)/man1
#explicit use of sh to make sure we don't invoke csh with different "if" syntax
	sh -c "if test -d $(srcdir)/htdocs >/dev/null ; then $(MAKE) install_docs ; fi"
	sh < systemspecific

uninstall:
	-rm $(bindir)/fontforge
	-rm $(bindir)/sfddiff
	-rm $(bindir)/fontimage
	-rm $(sharedir)/pfaedit-*.ui
	-rm $(localedir)/*/LC_MESSAGES/FontForge.mo
	-rm $(mandir)/man1/fontimage.1
	-rm $(mandir)/man1/fontforge.1
	-rm $(mandir)/man1/sfddiff.1
	-rm $(libdir)/libgdraw.*
	-rm $(libdir)/libgunicode.*
	-rm $(sharedir)/*.cidmap
	-rm -rf $(docdir)/*

$(sharedir):
	mkdir -p $(sharedir)

=== src/libs/zziplib/zzip/Makefile ===

top_srcdir = ../../../../src/libs/zziplib
srcdir = $(top_srcdir)/zzip

CC = gcc
AR = ar cru
RANLIB = ranlib

OBJECTS =dir.o err.o fetch.o file.o info.o memdisk.o mmapped.o \
         plugin.o stat.o write.o zip.o

_CFLAGS = -DHAVE_CONFIG_H -I.. -I../../../../src/libs/zziplib -I../../../../src/libs/zlib -Wall

XCFLAGS = $(_CFLAGS)

all: $(OBJECTS)
	$(AR) libzzip.a $(OBJECTS)
	$(RANLIB) libzzip.a

%.o: $(srcdir)/%.c 
	$(CC) $(CFLAGS) $(XCFLAGS) -c $< -o $@

=== src/libs/luafontforge/fontforge/Unicode/Makefile ===

top_srcdir = ../../../../src/libs/luafontforge/fontforge
srcdir = $(top_srcdir)/Unicode

CC = gcc

OBJECTS = alphabet.o char.o memory.o cjk.o ustring.o gwwiconv.o

CFLAGS = -I$(top_srcdir)/inc -Wall -g -O2 -DLUA_FF_LIB=1 $(XCFLAGS)

all: $(OBJECTS)

%.o: $(srcdir)/%.c 
	$(CC) $(CFLAGS) -c $< -o $@

=== src/libs/luafontforge/fontforge/fontforge/Makefile ===

top_srcdir = ../../../../src/libs/luafontforge/fontforge
srcdir = $(top_srcdir)/fontforge

CC = gcc
AR = ar cru
RANLIB = ranlib

OBJECTS =autohint.o charview.o fontinfo.o \
 fontview.o fvfonts.o parsepfa.o parsettf.o prefs.o psread.o namelist.o \
 splinefill.o splineoverlap.o splinestroke.o splineutil.o splineutil2.o stamp.o \
 start.o encoding.o macbinary.o splineorder2.o kernclass.o ttfspecial.o \
 parsettfatt.o contextchain.o macenc.o splinerefigure.o parsettfvar.o pua.o \
 stemdb.o lookups.o featurefile.o \
 tottf.o tottfgpos.o tottfvar.o splinesave.o

_CFLAGS = -I$(top_srcdir)/inc -I$(srcdir) -I. -Wall $(XCFLAGS) \
 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 \
 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 \
 -DHAVE_INTTYPES_H=1 -DHAVE_UNISTD_H=1 -D_NO_PYTHON=1 -DHAVE_LANGINFO_H=1 \
 -DX_DISPLAY_MISSING=1 -DHAVE_LONG_DOUBLE=1 -D_HAS_LONGLONG=1 \
 -DNODYNAMIC=1 -D_NO_FREETYPE=1 -D_NO_LIBUNINAMESLIST=1 \
 -DFONTFORGE_CONFIG_NO_WINDOWING_UI=1 -DLUA_FF_LIB=1 -UHAVE_LIBINTL_H

CFLAGS = -g -O2 $(_CFLAGS)

all: $(OBJECTS)

# The slight error introduced occasionally by optimization turns out to have
# disasterous effects. This file may not be compiled with the optimizer.
# On the other hand we do need CPPFLAGS to get the right includes...
splinerefigure.o: $(srcdir)/splinerefigure.c $(srcdir)/splinefont.h
	$(CC) -g -c -o splinerefigure.o $(_CFLAGS) $(srcdir)/splinerefigure.c

%.o: $(srcdir)/%.c $(srcdir)/splinefont.h $(srcdir)/views.h $(srcdir)/stemdb.h $(srcdir)/ttf.h $(srcdir)/unicoderange.h $(srcdir)/psfont.h $(srcdir)/groups.h $(srcdir)/edgelist.h $(srcdir)/edgelist2.h
	$(CC) $(CFLAGS) -c $< -o $@

## luatex 0.28.0

=== src/libs/lua51/Makefile ===
# makefile for building Lua
# see ../INSTALL for installation instructions
# see ../Makefile and luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC= gcc
CFLAGS= -g -O2 -Wall $(XCFLAGS) $(MYCFLAGS) $(COCOFLAGS)
AR= ar rcu
RANLIB= ranlib
RM= rm -f
LIBS= $(XLDFLAGS) -lm $(MYLIBS)

MYCFLAGS=
MYLDFLAGS=
MYLIBS=

# ++ Coco =========
# Default: autodetect gccasm/setjmp/ucontext/fibers context switch method.
COCOCFLAGS=
# Force use of setjmp (instead of gccasm).
#COCOCFLAGS= -DCOCO_USE_SETJMP
# Force use of ucontext (instead of gccasm or setjmp).
#COCOCFLAGS= -DCOCO_USE_UCONTEXT
# Uncomment this if you want to disable support for Coco.
#COCOCFLAGS= -DCOCO_DISABLE
# -- Coco =========


# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

PLATS= aix ansi bsd generic linux macosx mingw posix solaris

# ++ Coco =========
COCO_O= lcoco.o
# -- Coco =========

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
	lundump.o lvm.o lzio.o $(COCO_O)
LIB_O=	lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
	lstrlib.o loadlib.o linit.o

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o print.o

ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(CORE_O) $(LIB_O)
	$(AR) $@ $?
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c print.c

echo:
	@echo "PLAT = $(PLAT)"
	@echo "CC = $(CC)"
	@echo "CFLAGS = $(CFLAGS)"
	@echo "AR = $(AR)"
	@echo "RANLIB = $(RANLIB)"
	@echo "RM = $(RM)"
	@echo "MYCFLAGS = $(MYCFLAGS)"
	@echo "MYLDFLAGS = $(MYLDFLAGS)"
	@echo "MYLIBS = $(MYLIBS)"

# convenience targets for popular platforms

none:
	@echo "Please choose a platform: $(PLATS)"

aix:
	$(MAKE) a CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl" MYLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) a MYCFLAGS=-DLUA_ANSI

bsd:
	$(MAKE) a MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-Wl,-E"

generic:
	$(MAKE) a MYCFLAGS=

linux:
	$(MAKE) a MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"

macosx:
	$(MAKE) a MYCFLAGS=-DLUA_USE_MACOSX
# use this on Mac OS X 10.4
#	$(MAKE) a MYCFLAGS="-DLUA_USE_MACOSX -DLUA_USE_READLINE" MYLIBS="-lreadline"

mingw:
	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe

mingwcross: 
	$(MAKE) "LUA_A=liblua.a" "LUA_T=lua.exe" \
	MYCFLAGS= MYLIBS= lua.exe


posix:
	$(MAKE) a MYCFLAGS=-DLUA_USE_POSIX

solaris:
	$(MAKE) a MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h lobject.h llimits.h ldebug.h \
  lstate.h ltm.h lzio.h lmem.h lcoco.h ldo.h lfunc.h lgc.h lstring.h \
  ltable.h lundump.h lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h lcoco.h
lcoco.o: lcoco.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lcoco.h ldo.h lvm.h lgc.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h lcoco.h \
  ldo.h lgc.h ltable.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h lobject.h llimits.h lcode.h \
  llex.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h \
  lcoco.h ldo.h lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h lcoco.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h \
  lstring.h ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lcoco.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h lmem.h \
  lstate.h ltm.h lzio.h lcoco.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h lcoco.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lcoco.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lcoco.h ldo.h
loadlib.o: loadlib.c lauxlib.h lua.h luaconf.h lobject.h llimits.h \
  lualib.h
lobject.o: lobject.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h \
  ltm.h lzio.h lmem.h lcoco.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h lcoco.h \
  ldo.h lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lcoco.h ldo.h lfunc.h lgc.h llex.h lstring.h \
  ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
  ltm.h lzio.h lcoco.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lcoco.h ldo.h lgc.h ltable.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
  lmem.h lcoco.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h ldo.h lobject.h llimits.h \
  lstate.h ltm.h lzio.h lmem.h lcoco.h lfunc.h lopcodes.h lstring.h lgc.h \
  lundump.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
  llimits.h ltm.h lzio.h lmem.h lcoco.h ldo.h lfunc.h lstring.h lgc.h \
  lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h lcoco.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h \
  lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
  lzio.h lcoco.h
print.o: print.c ldebug.h lstate.h lua.h luaconf.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lcoco.h lopcodes.h lundump.h

# (end of Makefile)

=== src/libs/luafilesystem/Makefile ===
# $Id: Makefile,v 1.26 2005/06/27 17:06:01 tomas Exp $

T= lfs
V= 1.2
CONFIG= ./config

include $(CONFIG)

COMPAT_O= $(COMPAT_DIR)/compat-5.1.o
SRCS= src/$T.c
OBJS= src/$T.o $(COMPAT_O)


lib: src/$(LIBNAME)

src/$(LIBNAME): $(OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(LIBNAME) $(OBJS)

$(COMPAT_O): $(COMPAT_DIR)/compat-5.1.c
	$(CC) -c $(CFLAGS) -o $@ $(COMPAT_DIR)/compat-5.1.c

install: src/$(LIBNAME)
	mkdir -p $(LUA_LIBDIR)
	cp src/$(LIBNAME) $(LUA_LIBDIR)
	cd $(LUA_LIBDIR); ln -f -s $(LIBNAME) $T.so

clean:
	rm -f src/$(LIBNAME) $(OBJS) $(COMPAT_O)

=== src/libs/luafontforge/Makefile ===
# $Id$

srcdir=../../../src/libs/luafontforge

FF_LIB=ffdummies.o luafflib.o

_CFLAGS=-Wall -DFONTFORGE_CONFIG_NO_WINDOWING_UI=1 -DLUA_FF_LIB=1 $(XCFLAGS)
CFLAGS = -g -O2

.PHONY: newfile

fontforge: $(FF_LIB) newfile
	rm -f libff.a
	cd fontforge && $(MAKE)
	cd Unicode && $(MAKE)
	sh -c "ar cru libff.a fontforge/*.o Unicode/*.o $(FF_LIB)"
	ranlib libff.a

%.o: $(srcdir)/src/%.c
	gcc $(_CFLAGS) $(CFLAGS) -I$(srcdir)/../lua51 -I$(srcdir)/fontforge/inc -I$(srcdir)/fontforge/fontforge -c $< -o $@

clean:
	rm  -f libff.a $(FF_LIB)
	cd fontforge; $(MAKE) clean
	cd Unicode; $(MAKE) clean

=== src/libs/luasocket/src/Makefile ===

SOCKET_SO=socket.a

INSTALL_TOP_SHARE=/usr/local/share/lua/5.1
INSTALL_TOP_LIB=/usr/local/lib/lua/5.1

LUAINC = -I../../lua51
CC = gcc

DEF = -DLUASOCKET_DEBUG 
CFLAGS = $(LUAINC) $(DEF) -pedantic -Wall -O2
AR=ar
ARFLAGS=rc

SOCKET_OBJS:= \
	luasocket.o \
	timeout.o \
	buffer.o \
	io.o \
	auxiliar.o \
	options.o \
	inet.o \
	tcp.o \
	udp.o \
	except.o \
	select.o \
	socket.o \
	mime.o \
    lua_preload.o

all: $(SOCKET_SO)

$(SOCKET_SO): $(SOCKET_OBJS)
	$(AR) $(ARFLAGS) $@ $(SOCKET_OBJS)

#------
# List of dependencies
#
auxiliar.o: auxiliar.c auxiliar.h
buffer.o: buffer.c buffer.h io.h timeout.h
except.o: except.c except.h
inet.o: inet.c inet.h socket.h io.h timeout.h usocket.h
io.o: io.c io.h timeout.h
luasocket.o: luasocket.c luasocket.h auxiliar.h except.h timeout.h \
  buffer.h io.h inet.h socket.h usocket.h tcp.h udp.h select.h
mime.o: mime.c mime.h
options.o: options.c auxiliar.h options.h socket.h io.h timeout.h \
  usocket.h inet.h
select.o: select.c socket.h io.h timeout.h usocket.h select.h
tcp.o: tcp.c auxiliar.h socket.h io.h timeout.h usocket.h inet.h \
  options.h tcp.h buffer.h
timeout.o: timeout.c auxiliar.h timeout.h
udp.o: udp.c auxiliar.h socket.h io.h timeout.h usocket.h inet.h \
  options.h udp.h
unix.o: unix.c auxiliar.h socket.h io.h timeout.h usocket.h options.h \
  unix.h buffer.h
usocket.o: usocket.c socket.h io.h timeout.h usocket.h

clean:
	rm -f $(SOCKET_SO) $(SOCKET_OBJS) 

#------
# End of makefile configuration
#

=== src/libs/zziplib/zzip/Makefile ===

top_srcdir = ../../../../src/libs/zziplib
srcdir = $(top_srcdir)/zzip

CC = gcc
AR = ar cru
RANLIB = ranlib

OBJECTS =dir.o err.o fetch.o file.o info.o memdisk.o mmapped.o \
         plugin.o stat.o write.o zip.o

_CFLAGS = -DHAVE_CONFIG_H -I.. -I../../../../src/libs/zziplib -I../../../../src/libs/zlib

all: $(OBJECTS)
	$(AR) libzzip.a $(OBJECTS)
	$(RANLIB) libzzip.a

%.o: $(srcdir)/%.c 
	$(CC) $(_CFLAGS) $(CFLAGS) $(XCFLAGS) -c $< -o $@

=== src/libs/luafontforge/fontforge/Unicode/Makefile ===
# $Id$
top_srcdir = ../../../../src/libs/luafontforge/fontforge
srcdir = $(top_srcdir)/Unicode

CC = gcc

OBJECTS = alphabet.o char.o memory.o cjk.o ustring.o gwwiconv.o

_CFLAGS = -I$(top_srcdir)/inc -Wall -DLUA_FF_LIB=1 $(XCFLAGS)
CFLAGS = -g -O2

all: $(OBJECTS)

%.o: $(srcdir)/%.c 
	$(CC) $(_CFLAGS) $(CFLAGS) -c $< -o $@

=== src/libs/luafontforge/fontforge/fontforge/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-
+# $Id$
 top_srcdir = ../../../../src/libs/luafontforge/fontforge
 srcdir = $(top_srcdir)/fontforge
 
@@ -14,7 +14,7 @@
  stemdb.o lookups.o featurefile.o \
  tottf.o tottfgpos.o tottfvar.o splinesave.o
 
-_CFLAGS = -I$(top_srcdir)/inc -I$(srcdir) -I. -Wall $(XCFLAGS) \
+_CFLAGS = -I$(top_srcdir)/inc -I$(srcdir) -I. $(XCFLAGS) \
  -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 \
  -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 \
  -DHAVE_INTTYPES_H=1 -DHAVE_UNISTD_H=1 -D_NO_PYTHON=1 -DHAVE_LANGINFO_H=1 \
@@ -22,7 +22,7 @@
  -DNODYNAMIC=1 -D_NO_FREETYPE=1 -D_NO_LIBUNINAMESLIST=1 \
  -DFONTFORGE_CONFIG_NO_WINDOWING_UI=1 -DLUA_FF_LIB=1 -UHAVE_LIBINTL_H
 
-CFLAGS = -g -O2 $(_CFLAGS)
+CFLAGS = -Wall -g -O2
 
 all: $(OBJECTS)
 
@@ -33,4 +33,4 @@
 	$(CC) -g -c -o splinerefigure.o $(_CFLAGS) $(srcdir)/splinerefigure.c
 
 %.o: $(srcdir)/%.c $(srcdir)/splinefont.h $(srcdir)/views.h $(srcdir)/stemdb.h $(srcdir)/ttf.h $(srcdir)/unicoderange.h $(srcdir)/psfont.h $(srcdir)/groups.h $(srcdir)/edgelist.h $(srcdir)/edgelist2.h
-	$(CC) $(CFLAGS) -c $< -o $@
+	$(CC)  $(_CFLAGS) $(CFLAGS) -c $< -o $@

## luatex 0.60.1

=== debian/changelog ===
luatex (0.60.1-1build2) maverick; urgency=low

  * No change rebuild for (another) libpoppler transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 20 Sep 2010 02:23:48 -0400

luatex (0.60.1-1build1) maverick; urgency=low

  * No-change upload to build against current poppler library ABI.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 05 Aug 2010 12:14:12 +0200

luatex (0.60.1-1) unstable; urgency=low

  * new upstream release, adapt build-script patch
  * disable patch: upstream-epstopdf_cc_no_xpdf_patching, included upstream
  * disable patch: libpoppler-0.12, not needed anymore

 -- Norbert Preining <preining@debian.org>  Thu, 29 Apr 2010 00:47:19 +0900

luatex (0.60.0-1) unstable; urgency=low

  * new upstream releases, adapt build-script patch
  * change build-dep to libjpeg-dev from libjpeg62-dev, request by the
    maintainer
  * add a patch from upstream upstream-epstopdf_cc_no_xpdf_patching
    that allows again (not possible in 0.60 byitself) to use libpoppler
  * switch to source format 3.0 (quilt)
    - add debian/source/format
    - remove quilt related stuff from debian/rules
    - bump compat level to 7
    - no changes to upstream distribution is done, remove debian/README.source
      and remove it from debian/rules
    - change dh_clean -k to dh_prep
  * adapt build script to new build system of TeX Live
  * bump standards version to 3.8.4, no changes necessary

 -- Norbert Preining <preining@debian.org>  Mon, 12 Apr 2010 23:53:41 +0900

luatex (0.50.0-1) unstable; urgency=low

  * new upstream release
  * disable fix-hurd-ftbfs patch, included upstream
  * disable upstram-fixes, included upstream
  * disable ubuntu_libpoppler-0.11, not needed anymore

 -- Norbert Preining <preining@debian.org>  Fri, 25 Dec 2009 09:47:05 +0900

luatex (0.47.0-2) unstable; urgency=low

  * add patch fix-hurd-ftbfs from Pino Toscano (Closes: #562176)

 -- Norbert Preining <preining@debian.org>  Thu, 24 Dec 2009 03:32:02 +0900

luatex (0.47.0-1) unstable; urgency=low

  * new upstream release
  * add debian/patches/upstream-fixes that collects small bits fixed
    immediately after release
  * rediff patches

 -- Norbert Preining <preining@debian.org>  Tue, 22 Dec 2009 07:36:38 +0900

luatex (0.46.0-7) unstable; urgency=low

  * try to fix again the texdoc diversion disaster (Closes: #560791)

 -- Norbert Preining <preining@debian.org>  Sun, 13 Dec 2009 00:13:06 +0900

luatex (0.46.0-6) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 09 Dec 2009 23:52:34 +0900

luatex (0.46.0-5) experimental; urgency=low

  * remove forgotten "UNRELEASED" from changelog entry
  * move the diversion removal code from preinst to postinst since
    dpkg in lenny does add --rename automatically which breaks upgrades

 -- Norbert Preining <preining@debian.org>  Sat, 05 Dec 2009 09:15:48 +0900

luatex (0.46.0-4) experimental; urgency=low

  * make sure that fmtutil-sys is only called when texlive-base is
    installed, otherwise tcfmgr is not found.

 -- Norbert Preining <preining@debian.org>  Thu, 03 Dec 2009 23:10:44 +0900

luatex (0.46.0-3) experimental; urgency=low

  * add code to postinstall to clean up the diversion mess in case the
    upgrade didn't do it properly (Closes: #557647)

 -- Norbert Preining <preining@debian.org>  Thu, 03 Dec 2009 16:45:14 +0900

luatex (0.46.0-2) experimental; urgency=low

  * rework preinstall code for diversion removal, add --rename in 
    comments since it does not work anyway
  * bump build-deps on libpoppler-dev to 0.12 to be sure nobody tries
    to build new luatex on old systems (which is anyway not supported)
    (Closes: #559025)

 -- Norbert Preining <preining@debian.org>  Wed, 02 Dec 2009 00:17:08 +0900

luatex (0.46.0-1) experimental; urgency=low

  * remove the fix-opentype-loading patch (applied upstream)
  * add a preinst that removes all former diversions (Closes: #557647)

 -- Norbert Preining <preining@debian.org>  Fri, 27 Nov 2009 04:21:20 +0900

luatex (0.45.0-2) experimental; urgency=low

  * add a patch fix-opentype-loading by Pawl Jackowski to fix loading
    of ttf and otf fonts (included already in upstream repository)

 -- Norbert Preining <preining@debian.org>  Thu, 19 Nov 2009 15:42:55 +0900

luatex (0.45.0-1) experimental; urgency=low

  * new upstream release

 -- Norbert Preining <preining@debian.org>  Thu, 19 Nov 2009 00:21:03 +0900

luatex (0.44.0-2) experimental; urgency=low

  * catch fmtutil exiting with an error if no format based on luatex
    can be found. That is fine, one might install only luatex itself.

 -- Norbert Preining <preining@debian.org>  Thu, 12 Nov 2009 02:13:53 +0900

luatex (0.44.0-1) experimental; urgency=low

  * new upstream release
  * include patch to fix FTBFS with libpoppler 0.11 and 0.12, thanks to
    Ubuntu and Ilya Barygin. (Closes: #529331)
  * remove old directory in debian, it contains variants of the 
    maintainer scripts not used anymore
  * add a recommends luatex -> texlive-luatex to get the actual formats
  * delete debian/luatexiniconfig.tex, it must be shipped by texlive-luatex
    this package will provide only the barebone binary
  * as a consequence, drop (build-)dependency on tex-common, not needed
    anymore
  * drop dependency on texlive-binaries
  * mention these changes in the control file description
  * add a postinst script that tries to call fmtutil-sys --byengine luatex
    to update the formats based on luatex
  * conflict with texlive-base bin << 2008 to make sure we have a fmtutil
    that understands --byengine

 -- Norbert Preining <preining@debian.org>  Tue, 27 Oct 2009 21:05:00 +0900

luatex (0.43.0-1) experimental; urgency=low

  [ Norbert Preining ]
  * new upstream releases
  * bump standards version to 3.8.3, no changes necessary
  * prepare for TL2009:
    - disable texdoc, will be used from TeX Live 2009
    - remove all ini files and format definitions
    - add luatexiniconfig.tex from TL2009


=== debian/control ===
Source: luatex
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Frank Küster <frank@debian.org>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 7), flex, bison, zlib1g-dev, libpng12-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-dev
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/luatex/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/luatex/trunk/
Homepage: http://www.luatex.org

Package: luatex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: texlive-luatex
Replaces: luatex-snapshot
Conflicts: luatex-snapshot, texlive-base-bin (<< 2008)
Description: next generation TeX engine
 LuaTeX uses Lua scripting both as an extension to the TeX 
 macro language and as an extension to the typesetting 
 engine itself. A (growing) number of TeX internals are 
 made available to the embedded lua interpreter.
 .
 LuaTeX uses code and interfaces from Aleph to improve the 
 typesetting of non-latin alphabet languages, instead of
 the TeXXeT code present in the current releases of pdfTeX. 
 .
 Unicode and OpenType font support are added progressively,
 and regular pdfTeX development will continue in this
 branch as well.
 .
 The multi-lingual extensions are coded and merged by Taco 
 Hoekwater. Swift progress in that area is made possible 
 by a joint grant from Colorado State University and TUG, 
 under the 'Oriental TeX' project.
 .
 This package only contains the barebone binary. If you are
 searching for support file, formats etc install texlive-luatex.

## luatex 0.60.2

=== debian/changelog ===
luatex (0.60.2-1) unstable; urgency=low

  * new upstream release
  * add patch relax-zlib-version-check to relax the luazlib version 
    check (Closes: #581818)
  * debian/control: bump standards version to 3.9.0, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 01 Jul 2010 18:28:53 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Frank Küster <frank@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7), flex, bison, zlib1g-dev, libpng12-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/luatex/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/luatex/trunk/
 Homepage: http://www.luatex.org

=== debian/rules ===
#!/usr/bin/make -f

#
# just to remember how to do it by hand
#export QUILT_PATCHES=./debian/patches

#export DH_VERBOSE=1
export DH_OPTIONS

CFLAGS := -g -Wall
ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O0
else
CFLAGS += -O2
endif

luatex := $(CURDIR)/debian/luatex

build: build-stamp
build-stamp:
	dh_testdir
	export CONFIG_SHELL=/bin/bash && bash ./build.sh --nostrip
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build linux
	dh_clean install-stamp build-stamp

install: install-stamp

install-stamp: DH_OPTIONS=
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin
	install -m 0577 build/texk/web2c/luatex $(luatex)/usr/bin
	dh_installman debian/luatex.1
	dh_link usr/bin/luatex usr/bin/texlua	\
		usr/share/man/man1/luatex.1 usr/share/man/man1/texlua.1  \
		usr/bin/luatex usr/bin/texluac	\
		usr/share/man/man1/luatex.1 usr/share/man/man1/texluac.1 \
		usr/share/doc/luatex/luatexref-t.pdf usr/share/doc/texmf/luatex/base/luatexref-t.pdf
	touch install-stamp

binary-indep:
# There aren't any architecture independent packages here.

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs README 					\
		manual/luatexref-t.pdf 				\
		debian/ANNOUNCE-*
	dh_installexamples debian/examples/*
	dh_installchangelogs
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## luatex 0.65.0

=== manual/Makefile ===
# $Id: Makefile 3877 2010-09-12 08:07:20Z hhenkel $

all:	luatexref-t.pdf functionref.pdf

functionref.pdf:	functionref.tex fdata.lua

%.pdf:	%.tex
	context $<

clean:
	- rm -f *.log
	- rm -f *.tuc

=== debian/changelog ===
luatex (0.65.0-1ubuntu3) natty; urgency=low

  * Rebuild against libpoppler13.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 10 Apr 2011 21:08:04 +0200

luatex (0.65.0-1ubuntu2) natty; urgency=low

  * Rebuild with the current poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Jan 2011 15:03:36 +0100

luatex (0.65.0-1ubuntu1) natty; urgency=low

  * debian/patches/no_static_link.patch: Drop --enable-runtime-cxx-hack
    from the default configuration, was causing armel FTBFS.

 -- Jani Monoses <jani@ubuntu.com>  Tue, 21 Dec 2010 23:31:36 +0200

luatex (0.65.0-1) experimental; urgency=low

  * new upstream release
  * ship two source packages as they are distributed by upstream, only
    renamed to match source package requirements. Fix debian/rules
    to install the manual pdf from the right place

 -- Norbert Preining <preining@debian.org>  Mon, 13 Dec 2010 23:22:59 +0900

luatex (0.64.0-1) experimental; urgency=low

  * uploading to experimental to keep unstable for squeeze fixes
  * new upstream releases
  * debian/control: bump standards version to 3.9.1, no changes necessary
  * rediff build.sh patch

 -- Norbert Preining <preining@debian.org>  Sat, 13 Nov 2010 21:38:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: luatex
 Section: tex
 Priority: optional
-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Frank Küster <frank@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7), flex, bison, zlib1g-dev, libpng12-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/luatex/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/luatex/trunk/
 Homepage: http://www.luatex.org

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs README 					\
-		manual/luatexref-t.pdf 				\
+		doc/manual/luatexref-t.pdf 				\
 		debian/ANNOUNCE-*
 	dh_installexamples debian/examples/*
 	dh_installchangelogs

## luatex 0.70.1

=== debian/changelog ===
luatex (0.70.1-1ubuntu1) precise; urgency=low

  * Rebuild against libpoppler19.
  * d/patches/poppler-0.18.patch: port to poppler 0.18 API, patch
    taken from Gentoo.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Dec 2011 12:28:25 +0000

luatex (0.70.1-1) unstable; urgency=low

  * new upstream release (probably) matching TeX Live 2011
  * deactivate fix-luatex-build-with-old-libpng patch, included upstream

 -- Norbert Preining <preining@debian.org>  Fri, 20 May 2011 09:40:39 +0900

luatex (0.70.0-2) unstable; urgency=low

  * re-enable dynamic linking for libpng, thanks to Peter Breitenlohner
    for fixing compilation with older libpng
    add libpng12-dev to the build-deps
    deactivate the static linking of libpng in the build script configure call

 -- Norbert Preining <preining@debian.org>  Sun, 15 May 2011 16:02:56 +0900

luatex (0.70.0-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Added no_static_link.patch to fix FTBFS on armel with gcc4.5
    (Closes: #607987)

  [ Norbert Preining ]
  * new upstream release
    - has a bug fix for FTBFS on hurd (Closes: #608401)
  * refresh patches
  * reenable compiling with shipped libpng (patch reenable_local_libpng), 
    as the one in Debian is far too old.
    remove the libpng12-dev build-dep
  * bump standards version to 3.9.2, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 11 May 2011 14:17:30 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Frank Küster <frank@debian.org>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7), flex, bison, zlib1g-dev, libpng12-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/luatex/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/luatex/trunk/
 Homepage: http://www.luatex.org

## luatex 0.70.1.20120524

=== source/extra/epstopdf/Makefile ===
# $Id: Makefile 26570 2012-05-22 16:14:37Z karl $
# This file is public domain.  (Originally written by Karl Berry, 2009.)

e2p = ./epstopdf.pl #--debug
re2p = ./repstopdf --restricted
re2p_script = ./repstopdf

default: check

# These are not comprehensive tests by any means.  Mostly we're just
# making sure we don't crash.
check: check-help check-version \
       check-help-r \
       check-nogs \
       check-restricted-gscmd \
       check-filter check-filter-outfile check-write-error check-gscmd \
       check-simple check-atend check-binary check-bin2 \
       check-binhdr-lf check-binhdr-cr check-binhdr-crlf \

# needs new kpsewhich: check-restricted-safe-in check-restricted-safe-out
check-help:
	$(e2p) --help

check-version:
	$(e2p) --version

check-help-r: $(re2p_script)
	$(re2p_script) --help | grep restricted  # should have default=true

check-nogs:
	$(e2p) --no-gs test-simple.eps >test-simple.out
# the two files should be different:
	cmp -s test-simple.eps test-simple.out || exit 0
	
$(re2p_script):
	ln -s epstopdf.pl $@

check-restricted-gscmd:
	! $(re2p) --gscmd=/bin/unsafe test-simple.eps
	! $(re2p) --gscmd=unsafe test-simple.eps

check-restricted-safe-in:
	! $(re2p) /unsafe/in.eps

check-restricted-safe-out:
	! $(re2p) test-simple.eps -o /unsafe/out.eps

check-filter:
	cat test-simple.eps | $(e2p) --filter >test-filter.pdf
	pdfinfo test-filter.pdf | grep "Page size:"

check-filter-outfile:
	rm -f test-filter.pdf
	cat test-simple.eps | $(e2p) --filter --outfile=test-filter.pdf
	pdfinfo test-filter.pdf | grep "Page size:"
#
	rm -f test-filter.pdf
	cat test-simple.eps | $(e2p) --outfile=test-filter.pdf --filter
	pdfinfo test-filter.pdf | grep "Page size:"

check-write-error:
	-$(e2p) test-simple.eps --outfile=/dev/full

check-gscmd:
	-$(e2p) --gscmd=true test-simple.eps

check-simple:
	$(MAKE) file=test-simple check1

check-atend:
	$(MAKE) file=test-atend check1

check-binary:
	$(MAKE) file=test-binary check1

check-bin2:
	$(MAKE) file=test-bin2 check1

check-binhdr-lf:
	$(MAKE) file=test-binhdr-lf check1

check-binhdr-cr:
	$(MAKE) file=test-binhdr-cr check1

check-binhdr-crlf:
	$(MAKE) file=test-binhdr-crlf check1

check1:
	$(e2p) $(file).eps 
	pdfinfo $(file).pdf | grep "Page size"

dist: epstopdf.tar.gz epstopdf.html
epstopdf.tar.gz: README epstopdf.pl epstopdf.1 repstopdf.1 epstopdf.man1.pdf
	tar czf epstopdf.tar.gz $^

groff = groff
groff_opts = -man -t
pdfopts = $(groff_opts)
htmlopts = $(groff_opts) -Thtml
pspdf = ps2pdf -sPAPERSIZE=a4
epstopdf.man1.pdf: epstopdf.1
	$(groff) $(pdfopts) $< | $(pspdf) - $@
epstopdf.html: epstopdf.1
	$(groff) $(htmlopts) $< >$@

# upload .tar.gz to ctan.org/upload, move .html to ~www/epstopdf.

=== debian/changelog ===
luatex (0.70.1.20120524-3) unstable; urgency=low

  * pick from upstream luatex-svn: fix rendering of radicals with
    old fonts (Closes: #680015)
  * remove old conffile /etc/texmf/fmt.d/20luatex.cnf
    (add Pre-Depends: ${misc:Pre-Depends} for dpkg-maintscript-helper)
  * fix man page warnings

 -- Norbert Preining <preining@debian.org>  Tue, 03 Jul 2012 09:11:08 +0900

luatex (0.70.1.20120524-2) unstable; urgency=high

  * depend on tex-common >= 3.12 to get partial single package upgrades
    across distributions working (why would one do that, though?)
    (Closes: #677367) (urgency high due to RC)

 -- Norbert Preining <preining@debian.org>  Thu, 14 Jun 2012 07:43:20 +0900

luatex (0.70.1.20120524-1) unstable; urgency=low

  * new upstream release, actually 0.70.2, build from the
    TeX Live 2012 sources (20120524 checkout) until a real release
    of luatex 0.70.2 is done.
  * don't ship libpng sources (Closes: #615809)
  * build with shared libkpathsea, add build-depends

 -- Norbert Preining <preining@debian.org>  Thu, 24 May 2012 08:14:48 +0900

luatex (0.70.1-3) unstable; urgency=low

  [ Hilmar Preuße ]
  * do not build shipped versions of zlib, poppler and libpng. We
    use these from the system anyway (not_build_libs.diff).
  * patch for #651169 was incomplete, fixed (Closes: #651169)
    - needs a B-D on libpoppler-cpp-dev

 -- Norbert Preining <preining@debian.org>  Fri, 30 Mar 2012 09:25:18 +0900

luatex (0.70.1-2) unstable; urgency=low

  [ Hilmar Preuße ]
  * add patch libpoppler-0.18 to enable build with poppler 0.18
    (see rev 4346 in upstream), Closes: #651169
  * change B-D from libpoppler-dev to libpoppler-private-dev
    as requested by poppler maintainer. (Closes: #660104)
  * declare a B-D from libfontconfig1-dev, the new
    libpoppler-private-dev won't depend on it (Closes: #661077)
  * change B-D from libpng12-dev to libpng-dev to make
    libpng15-transition possible (Closes: #662423)

  [ Norbert Preining ]
  * bump standards version to 3.9.3, no changes necessary
  * add build-arch and build-indep targets to debian/rules

 -- Norbert Preining <preining@debian.org>  Wed, 21 Mar 2012 20:27:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: luatex
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Frank Küster <frank@debian.org>, Norbert Preining <preining@debian.org>
-Build-Depends: debhelper (>= 7), flex, bison, zlib1g-dev, libpng12-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.0~), flex, bison, zlib1g-dev, libpng-dev, libjpeg-dev, pkg-config, sharutils, libpoppler-private-dev, libpoppler-cpp-dev, libfontconfig1-dev, libkpathsea-dev (>= 2012)
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/luatex/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/luatex/trunk/
 Homepage: http://www.luatex.org
 
 Package: luatex
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: tex-common (>= 3.12), ${misc:Depends}, ${shlibs:Depends}
 Recommends: texlive-luatex
 Replaces: luatex-snapshot
 Conflicts: luatex-snapshot, texlive-base-bin (<< 2008)

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-#
-# just to remember how to do it by hand
-#export QUILT_PATCHES=./debian/patches
 
 #export DH_VERBOSE=1
 export DH_OPTIONS
@@ -16,7 +12,10 @@
 
 luatex := $(CURDIR)/debian/luatex
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 	export CONFIG_SHELL=/bin/bash && bash ./build.sh --nostrip
@@ -36,7 +35,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs usr/bin
-	install -m 0577 build/texk/web2c/luatex $(luatex)/usr/bin
+	install -m 0577 build/texk/web2c/.libs/luatex $(luatex)/usr/bin
 	dh_installman debian/luatex.1
 	dh_link usr/bin/luatex usr/bin/texlua	\
 		usr/share/man/man1/luatex.1 usr/share/man/man1/texlua.1  \
@@ -53,10 +52,10 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs README 					\
-		doc/manual/luatexref-t.pdf 				\
+		manual/luatexref-t.pdf 				\
 		debian/ANNOUNCE-*
 	dh_installexamples debian/examples/*
-	dh_installchangelogs
+	dh_installchangelogs source/texk/web2c/luatexdir/ChangeLog
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
 	dh_strip
 endif
